<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';

if (!isset($user)) {
header("Location: /index.php?".SID);
exit;
	}

$set[title]='Создать дневник';
if (isset($_GET[ok])) {

$name=esc(stripcslashes(htmlspecialchars($_POST['name'])));
if (isset($_POST['translit1']) && $_POST['translit1']==1)$name=translit($name);
if (strlen2($name)<3)$err='Короткое название для темы';
if (strlen2($name)>32)$err='Название темы не должно быть длиннее 32-х символов';
$name=mysql_real_escape_string($name);


$msg=esc(stripcslashes(htmlspecialchars($_POST['msg'])));
if (isset($_POST['translit2']) && $_POST['translit2']==1)$msg=translit($msg);
if (strlen2($msg)<15)$err='Короткое сообщение';
if (strlen2($msg)>5000)$err='Длина сообщения превышает предел в 5000 символа';
$msg=mysql_real_escape_string($msg);

if (!isset($err)) {

mysql_query("UPDATE `user` SET `balls` = '".($user['balls']+5)."' WHERE `id` = '$user[id]' LIMIT 1");

mysql_query("INSERT INTO `dnev` (`id_user`, `name`, `msg`, `read`, `write`, `time`) values('$user[id]', '$name', '$msg', '$_POST[read]', '$_POST[write]', '$time')");
$dnev[id]=mysql_insert_id();

if ($_POST[read]!=2) {
$q = mysql_query("SELECT * FROM `fanat` WHERE `user` = '$user[id]' AND `i` = '1'");
while ($f = mysql_fetch_array($q))
{
$a = mysql_fetch_array(mysql_query("SELECT * FROM `user` WHERE `id` = '$f[frend]' LIMIT 1"));

$msg_lenta="Создал новый дневник [url=/dnev/dnev.php?id=$dnev[id]&page=end] $name [/url]";

mysql_query("INSERT INTO `lenta` (`id_user`, `id_kont`, `msg`, `time`) values('$user[id]', '$a[id]', '$msg_lenta', '$time')"); 
	}
	}
mysql_query("UPDATE `user` SET `kol_blog` = '".($user['kol_blog']+1)."' WHERE `id` = '$user[id]' LIMIT 1");
header("Location: /dnev/dnev.php?id=$dnev[id]".SID);
exit;

	}
	}

include_once '../sys/inc/thead.php';
title();
err();



echo "<form method='post' enctype='multipart/form-data'  action='?ok'>";
echo "Название (3-32 символа):<br />\n";
echo "<input name='name' type='text' maxlength='32' value='$_POST[name]' /><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit1' value='1' /> Транслит</label><br />\n";
echo "Сообщение (15-5000 символов):<br />\n";
echo "<textarea name='msg'>$_POST[msg]</textarea><br />\n";
if ($user['set_translit']==1)echo "<label><input type='checkbox' name='translit2' value='1' /> Транслит</label><br />\n";

echo "Читатели:<br />\n<select name='read'>\n";
echo "<option value='0'>Все</option>\n";
echo "<option value='1'>Друзья</option>\n";
echo "<option value='2'>Только я</option>\n";
echo "</select><br />\n";

echo "Писатели:<br />\n<select name='write'>\n";
echo "<option value='0'>Все</option>\n";
echo "<option value='1'>Друзья</option>\n";
echo "<option value='2'>Только я</option>\n";
echo "</select><br />\n";

echo "<input value='Создать' type='submit' /><br />\n";
echo "</form>\n";


include_once '../sys/inc/tfoot.php';
?>